Bug 140826 - 2 * control reaches end of non-void function
2 * control reaches end of non-void function
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 04:33 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 05:24:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-25 04:33:41 EST
Description of problem:

I just tried to compile package qt-3.3.3-8 from 
Redhat Fedora Core 3.

The compiler said

1.


kernel/qinputcontext.cpp:770: warning: control reaches end of non-void
function

The source code is

QString QInputContext::identifierName()
{
}

Suggest add return statement to function.

2.

kernel/qinputcontext.cpp:791: warning: control reaches end of non-void
function

The source code is

QString QInputContext::language()
{
}

Suggest add return statement to function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2004-11-25 05:24:23 EST
it's already fixed in 3.3.1-13 or newer. It will show up in rawhide
soon. Thanks for your report.
Comment 2 David Binderman 2004-11-25 13:05:59 EST
>it's already fixed in 3.3.1-13 or newer.

Strange. My bug report was for version qt-3.3.3-8, and you are making
the claim that version 3.3.1-13 is newer.

Keyboard trouble with the version numbers ?
Comment 3 Ngo Than 2004-11-26 06:14:13 EST
oh sorry, i mean qt-3.3.3-13 ;-)

Note You need to log in before you can comment on or make changes to this bug.